package com.oqpo.api.web.dto.response.pomng.pchReq;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.oqpo.api.entity.loanmng.LoanMgntBaseInfoEntity;
import com.oqpo.api.entity.oper.UserMngEntity;
import com.oqpo.api.entity.pomng.PchReqBaseInfoEntity;
import com.oqpo.api.entity.pomng.PchReqDtlPtclEntity;
import com.oqpo.api.entity.pomng.PchWishListEntity;
import com.oqpo.api.entity.stinfo.BrandEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import java.util.List;
import java.util.stream.Collectors;


@Getter
@Setter
@Builder
@AllArgsConstructor(access = AccessLevel.PROTECTED)
@JsonInclude(JsonInclude.Include.ALWAYS)
public class WishMasterSaveResponse {

    @ApiModelProperty(value = "위시리스트번호") private String wishListMgntNo;
    @ApiModelProperty(value = "위시리스트명") private String wishListNm;


    public static WishMasterSaveResponse toDTO( PchWishListEntity entity ) {
        if (entity == null) return null;
        return WishMasterSaveResponse.builder()
                .wishListMgntNo(entity.getWishListMgntNo())
                .wishListNm(entity.getWishListNm() == null ? "" :entity.getWishListNm())
                .build();
    }


}
